const test = require('tape')
const Server = require('./testbot')

test('init + shutdown', t => {
  const server = Server()

  t.deepEqual(
    Object.keys(server.hyperBlobs),
    ['add', 'registerDrive'],
    'has hyperBlobs installed'
  )

  server.close(err => {
    t.error(err, 'shuts down well')
    t.end()
  })
})
